CC=gcc
XMPCC=xmpcc
LIBS=-L/usr/lib -lmpi
INCL=-I /usr/lib/openmpi/include

OBJP=histo.o

all: histo

histo.o: histo.c
	$(XMPCC) -c histo.c

histo: $(OBJP)
	$(XMPCC) -o histo $(OBJP) $(LIBS)

run: histo 
	mpirun --mca orte_base_help_agregate 0 -host mpihead -n 1 /usr/local/var/mpishare/GLCS-CM6-TDXMP/histo
	 

clean:
	rm *.o histo
